Name: aqbanking
Summary: A library for online banking functions and financial data import/export.
Version: 2.1.0
Release: 9
Source: http://download.sourceforge.net/aqbanking/%{name}-%{version}.tar.gz
Group: System Environment/Libraries
License: GPL
URL: http://sourceforge.net/projects/aqbanking
Patch: aqbanking-libdir.patch
Patch2: aqbanking-2.1.0-pkgconfig.patch
Patch3: aqbanking-2.1.0-conflict.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gwenhywfar-devel >= 1.99.2 qt-devel
BuildRequires: libofx-devel >= 0.7.0, gettext, autoconf, libtool
Prereq: /sbin/ldconfig
Obsoletes: aqhbci, aqhbci-qt-tools

%description 
The intention of AqBanking is to provide a middle layer between the
program and the various Online Banking libraries (e.g. AqHBCI). The
first backend which is already supported is AqHBCI, a library which
implements a client for the German HBCI (Home Banking Computer
Interface) protocol. Additionally, Aqbanking provides various plugins
to simplify import and export of financial data. Currently there are
import plugins for the following formats: DTAUS (German financial
format), SWIFT (MT940 and MT942).

%package devel
Summary: Aqbanking development kit
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gwenhywfar-devel
Obsoletes: aqhbci-devel

%description devel
This package contains aqbanking-config and header files for writing and
compiling programs using Aqbanking.

%prep
%setup -q
%patch -p1 -b .lib
%patch2 -p1 -b .pkgconfig
%patch3 -p1 -b .conflict

%build
[ -z "$QTDIR" ] && . /etc/profile.d/qt.sh
%{configure} --disable-static --with-backends="aqhbci aqdtaus aqofxconnect" \
  --with-frontends="cbanking qbanking" --enable-python
make LIBTOOL=/usr/bin/libtool

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install LIBTOOL=/usr/bin/libtool

find $RPM_BUILD_ROOT -name *.la -exec rm -f {} \;
find $RPM_BUILD_ROOT -name *.a -exec rm -f {} \;

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/doc/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_datadir}/doc/{aqbanking,aqhbci} $RPM_BUILD_ROOT/%{_datadir}/doc/%{name}-%{version}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS README COPYING ChangeLog
%{_libdir}/*.so.*
%{_libdir}/%{name}
%{_libdir}/gwenhywfar
%{_datadir}/%{name}
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
/usr/lib/python2.4/site-packages/%{name}
%{_datadir}/aqhbci
%{_bindir}/*-tool
%{_bindir}/qb-help

%files devel
%defattr(-,root,root)
%{_bindir}/hbcixml2
%{_bindir}/*-config
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/*


%changelog
* Thu Sep  7 2006 Bill Nottingham <notting@redhat.com> - 2.1.0-9
- rebuild for fixed debuginfo (#205248)

* Fri Sep  1 2006 Bill Nottingham <notting@redhat.com> - 2.1.0-8
- fix multilib conficts (#205204)

* Mon Aug 28 2006 Bill Nottingham <notting@redhat.com> - 2.1.0-4
- rebuild against latest libofx

* Tue Aug  1 2006 Bill Nottingham <notting@redhat.com> - 2.1.0-3
- reenable visibility

* Fri Jul 14 2006 Bill Nottingham <notting@redhat.com> - 2.1.0-2
- port *-config to pkgconfig
- don't use -fvisibility=hidden

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.1.0-1.1
- rebuild

* Tue Jul 11 2006 Bill Nottingham <notting@redhat.com> - 2.1.0-1
- update to 2.1.0

* Mon Jun 12 2006 Bill Nottingham <notting@redhat.com> - 1.8.1beta-5
- buildreq autoconf, libtool

* Tue May 30 2006 Bill Nottingham <notting@redhat.com> - 1.8.1beta-4
- add gettext buildreq (#193348)

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.8.1beta-3.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Karsten Hopp <karsten@redhat.de> 1.8.1beta-3
- buildrequire libofx-devel instead of libofx (pulls in libofx)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.8.1beta-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sun Jan 22 2006 Bill Nottingham <notting@redhat.com> 1.8.1beta-2
- add an obsolete (#178554)

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Mar  7 2005 Bill Nottingham <notting@redhat.com> 1.0.4beta-2
- rebuild

* Wed Feb  9 2005 Bill Nottingham <notting@redhat.com> 1.0.4beta-1
- initial packaging, adopt upstream specfile
